# 如何参与贡献

可以为项目添砖加瓦，包括但不局限于

- 重大Bug修复

- 核心代码优化与改进

- 新的主题提供

- 协同参与编写文档，譬如官网，API教程等

- 通过issue提供被接受的新的Idea

- 提供设计资源，如`Logo`，`Slogan`，`官方主页`等

## 需要遵循的代码规则：`eslint`

对代码的质量有要求，代码需要通过`eslint`校验才允许合并

```js
npm run eslint
```

执行上述命令检查代码

### 默认规则

```js
eslint:recommended
```

项目中默认开启了`eslint`的默认校验规则

### 代码风格

项目中的`eslint`配置中增加了一些其它规则，详情参考`.eslint.js`文件

## 贡献者名单

参与贡献后，达到一定程度（譬如提供了一个新的主题），会添加到贡献者名单中（可以链接友链）

## 加入Manager

贡献度达到一定要求后（例如贡献了多个主题，并且有后续持续贡献的想法）

可以申请加入`Manager`小组，对`minirefresh/minirefresh`有`读写权限`，可以共同开发维护`minirefresh`

## 成为Member

成为`Manager`后，有共同参与`minirefresh`项目意愿的，可以申请成为`Organization`的`Member`

成为`Member`后对整个项目有管理权限（包括代码，官网，文档等），成为`minirefresh`真正的主人，

__`minirefresh`是大家的！__

## 贡献途径

- 新的`Issue`，并被采纳

- 新的`PR`，并被采纳

- 和`Manager`中的管理者交流讨论，并被采纳
